Bug 1367752 - startin team slave when master has invalid json config leads to infinite connecting state
Summary: startin team slave when master has invalid json config leads to infinite conn...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1270814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 11:46 UTC by Vladimir Benes
Modified: 2017-08-01 09:17 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-1.8.0-0.2.git20170215.1d40c5f4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1270814
Environment:
Last Closed: 2017-08-01 09:17:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Comment 2 Beniamino Galvani 2016-08-26 07:51:11 UTC
Please review branch bg/libnm-activation-stuck-rh1367752.

Comment 3 Thomas Haller 2016-08-26 09:18:47 UTC
>> libnm: make waiting objects fail when an object initialization fails
    

+              priv->waiters = g_slist_remove (priv->waiters, odata);

g_slist_delete_link?



NM_OBJECT_GET_PRIVATE (odata->self)->reload_error = g_error_copy (error);

are we sure, that this doesn't leak a possible previously set error? Maybe:

  if (!odata_priv->reload_error)
     ...



rest lgtm

Comment 4 Beniamino Galvani 2016-08-26 20:28:57 UTC
(In reply to Thomas Haller from comment #3)
> +              priv->waiters = g_slist_remove (priv->waiters, odata);
> 
> g_slist_delete_link?

I prefer to leave it similar to the code few lines below.


> NM_OBJECT_GET_PRIVATE (odata->self)->reload_error = g_error_copy (error);
> 
> are we sure, that this doesn't leak a possible previously set error? Maybe:
> 
>   if (!odata_priv->reload_error)

Fixed, thanks!

Comment 5 Lubomir Rintel 2016-09-09 14:12:05 UTC
Looks fine to me.

Comment 8 errata-xmlrpc 2017-08-01 09:17:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.